Index: trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5075)
+++ trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5134)
@@ -7,4 +7,5 @@
 	}
         
+	/* showlist */	
 	emQuickCatalogSearch.prototype.showList = function(data, begin, end, ID, field)
 	{
@@ -16,14 +17,8 @@
 
 			keypress_read(data);
-            init_results(data);
             configure_slider(data);
+		create_list(data, true);
             details_results(data);
 			
-  		    connector.loadScript("ccQuickAdd");
-
-            if(preferences.use_shortcuts == '0'){
-                connector.loadScript("shortcut");
-            }
-		
 		id = '1';
 		_this = this;
@@ -46,180 +41,108 @@
         
         
-    function keypress_read(data) 
-	{
-		$("#dialog-modal").keypress(function (e) 
-		{
-			var keyCode = e.keyCode || e.which,
-			arrow = {left: 37, up: 38, right: 39, down: 40, enter: 13, esc: 27 };
+    /* Leitura das teclas de atalho */    
+    function keypress_read(data) {	
+		$("#dialog-modal").keydown(function (e) {
+			var keyCode = e.keyCode;
+			arrow = {left: 37, up: 38, right: 39, down: 40, enter: 13, esc: 27};
 			var slider = $( "#slider"  );
 			switch (keyCode) 
 			{
 				case arrow.enter:
-					add_contact_field(document.getElementsByClassName("ui-selected")[0].getElementsByClassName("name_contact")[0].innerHTML);
+					if(!search_focus){
+						i = $(".ui-selected:last").attr("value") + 1;
+						add_contact_field($("#contact_" + i).html());
+						document.getElementById("busca").value = "";
+						$("#dialog-modal").unbind('keydown');
 					$("#dialog-modal").dialog("close");
+					}
 					break;
-				
 				case arrow.left:
-					slider.slider( "value", $( "#slider" ).slider( "value" ) - 1);
-					create_list(data_);					
+					slider.slider("value", $( "#slider" ).slider( "value" ) - 1);
+					create_list(data_, false);		
 					break;
-				
 				case arrow.right:
-					if( (($( "#slider" ).slider( "value" ))) == Math.ceil(data_.length/7) )
-					{
-						alert("Não há mais páginas");
+					if((($( "#slider" ).slider( "value" ))) == Math.ceil(data_.length/6))
 						break;
-					}
 					slider.slider( "value", $( "#slider" ).slider( "value" ) + 1);					
-					create_list(data_);						
+					create_list(data_, false);							
 					break;
-				
 				case arrow.up:
-					id_contact = document.getElementsByClassName("ui-selected")[0].value;
-					if(id_contact == (($( "#slider" ).slider( "value" ) -1)*7))
+					show_detail(data_, "up");
+					break;
+				case arrow.down:
+					show_detail(data_, "down");
 						break;
-					var line_contact = $('li.ui-selected');
-					$('li.ui-selected').prev().removeClass("ui-selectee").addClass("ui-selected"); //css('background-color', '#72A9D3');
-					line_contact.removeClass("ui-selected").addClass("ui-selectee");
-					var details = $("#detalhes_contato").empty();                                 
-						$( ".ui-selected", this ).each(function() {
-                            if(data_['type_catalog'] == 'G')
-                            {                                         
-                                var extra_fields = (data_['extra_ldap_fields']).split("#");   
-                                /* Default fields */
-                                details.append("<strong>" + utf8_decoder(data_[this.value].cn[0]));
-                                details.append("<br />" + data_[this.value].mail[0]);
-                                details.append("<br /><br /><strong>Matrícula<br />");
-                                details.append(data_[this.value].employeenumber[0] + "<br />");
-                                details.append("<br /><strong> Telefone <br />");
-                                details.append(data_[this.value].telephonenumber[0] + "<br />");
-                                details.append(data_[this.value].telephonenumber[0]);
-                                for (var i=0; i<extra_fields.length-1; i++)
-                                {
-                                    var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
-                                    var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                    if(data_[this.value][valor] != undefined)
-                                    {    
-                                        details.append("<br /><br /><strong>" + campo);
-                                        details.append("<br />" + data_[this.value][valor][0]);
-                                    }
                                 }
+		});	
 							}
-                            else
-                            {
-                                    if(data_['type_catalog'] == 'P')
-                                    {
-                                        /* Default fields */
-                                        details.append("<strong>" + utf8_decoder(data_[this.value].cn));
-                                        details.append("<br />" + data_[this.value].mail);
-                                        if(data_[this.value].telephonenumber != "")
-                                        {
-                                            details.append("<br /><br /><br /><strong> Telefone <br />");
-                                            details.append(data_[this.value].telephonenumber + "<br />");  
+	
+	
+	/* Mostra os detalhes do contato selecionado */
+	function show_detail(data_, direction) {
+		id_contact = $(".ui-selected:last").attr("value");
+		if(direction == "down") {
+			if((id_contact == (((((parseInt($( "#slider" ).slider( "value" )) - 1)*6))+6)-1)) || id_contact == data_.length - 1 || data_.length == 1)
+				return;	
+			var line_contact = $('li.ui-selected');
+			$('li.ui-selected').next().addClass("ui-selected"); 
+			id_contact++;
                                         }
+		else {
+			if(id_contact == (($( "#slider" ).slider( "value" ) -1)*6)) 
+				return;
+			var line_contact = $('li.ui-selected');
+			$('li.ui-selected').prev().addClass("ui-selected"); 
+			id_contact--;
                                     } 
-                                    else
-                                    {
+		line_contact.removeClass("ui-selected").addClass("ui-selectee");
+		var details = $("#detalhes_contato").empty();                                 
+		switch(data_['type_catalog']) {
+			case 'G':
                                         var extra_fields = (data_['extra_ldap_fields']).split("#");   
-                                        /* Default fields */
-                                        details.append("<strong>" + utf8_decoder(data_[this.value].cn));
-                                        details.append("<br />" + data_[this.value].mail);
-                                        if(data_[this.value].telephonenumber != "")
-                                        {
-                                            details.append("<br /><br /><br /><strong> Telefone <br />");
-                                            details.append(data_[this.value].telephonenumber + "<br />");  
+				if(preferences.default_fields_quick_search != 0) {
+					details.append('<p><label class="attribute">' + utf8_decoder(data_[id_contact].cn[0]) + "</label>" + '<span class="value">' + data_[id_contact].mail[0] + '</span></p>');
+					details.append('<p><label class="attribute">Telefone </label>' + '<span class="value">' + data_[id_contact].telephonenumber[0] + '</span></p>');           
                                         }
-                                        if(data_[this.value].mail[0].length > 1) 
-                                        {
-                                            for (var i=0; i<extra_fields.length-1; i++)
+				for (var i=0; i<=extra_fields.length-1; i++)
                                             {
                                                 var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
                                                 var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                                if(data_[this.value][valor] != undefined)
-                                                {    
-                                                    details.append("<br /><br /><strong>" + campo);
-                                                    details.append("<br />" + data_[this.value][valor][0]);
+					if(data_[id_contact][valor.toLowerCase()] != undefined) {
+						var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+						for(j=0; j<data_[id_contact][valor.toLowerCase()].length; j++) {
+							details.append(tmp_campo + '<span class="value">' + data_[id_contact][valor.toLowerCase()][j] + "</span></p>");
+							tmp_campo = "";
+                                            }
+                                        }
+                                    }
+					break;
+			case 'P':
+				details.append('<p><label class="attribute">' + utf8_decoder(data_[id_contact].cn) + '</label>' + '<span class="value">' + data_[id_contact].mail + '</span></p>');
+                if(data_[id_contact].telephonenumber != null)
+                    details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data_[id_contact].telephonenumber + '</span></p>');
+						break;	
+			default:
+                                var extra_fields = (data_['extra_ldap_fields']).split("#");   
+                if(preferences.default_fields_quick_search != 0 || data_[id_contact].type_contact == "P") {
+					details.append('<p><label class="attribute">' + utf8_decoder(data_[id_contact].cn) + '</label>' + '<span class="value">' + data_[id_contact].mail + '</span></p>');
+					if(data_[id_contact].telephonenumber != null)
+						details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data_[id_contact].telephonenumber + '</span></p>');
+							}
+				if(data_[id_contact].mail[0].length > 1) {
+					for (var i=0; i<=extra_fields.length-1; i++) {
+                                                var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
+                                                var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
+						if(data_[id_contact][valor.toLowerCase()] != undefined) {
+							var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+							for(j=0; j<data_[id_contact][valor.toLowerCase()].length; j++) {
+								details.append(tmp_campo + '<span class="value">' + data_[id_contact][valor.toLowerCase()][j] + "</span></p>");
+								tmp_campo = "";
                                                 }
                                             }
                                         }
                                     }
-                            }
-						});
-					break;
-				
-				case arrow.down:
-					id_contact = document.getElementsByClassName("ui-selected")[0].value;
-					if((id_contact == (((((parseInt($( "#slider" ).slider( "value" )) - 1)*7))+7)-1)) || id_contact == data_.length - 2 || data_.length == 1)
-						break;	
-					var line_contact = $('li.ui-selected');
-					$('li.ui-selected').next().removeClass("ui-selectee").addClass("ui-selected"); 
-					line_contact.removeClass("ui-selected").addClass("ui-selectee");
-					var details = $("#detalhes_contato").empty();                                 
-                        $( ".ui-selected", this ).each(function() {
-                            if(data_['type_catalog'] == 'G')
-                            {                                         
-                                var extra_fields = (data_['extra_ldap_fields']).split("#");   
-                                /* Default fields */
-                                details.append("<strong>" + utf8_decoder(data_[this.value].cn[0]));
-                                details.append("<br />" + data_[this.value].mail[0]);
-                                details.append("<br /><br /><strong>Matrícula<br />");
-                                details.append(data_[this.value].employeenumber[0] + "<br />");
-                                details.append("<br /><strong> Telefone <br />");
-                                details.append(data_[this.value].telephonenumber[0] + "<br />");
-                                details.append(data_[this.value].telephonenumber[0]);
-                                for (var i=0; i<extra_fields.length-1; i++)
-                                {
-                                    var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
-                                    var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                    if(data_[this.value][valor] != undefined)
-                                    {    
-                                        details.append("<br /><br /><strong>" + campo);
-                                        details.append("<br />" + data_[this.value][valor][0]);
-                                    }
-                                }
-							}
-                            else
-                            {
-                                    if(data_['type_catalog'] == 'P')
-                                    {
-                                        /* Default fields */
-                                        details.append("<strong>" + utf8_decoder(data_[this.value].cn));
-                                        details.append("<br />" + data_[this.value].mail);
-                                        if(data_[this.value].telephonenumber != "")
-                                        {
-                                            details.append("<br /><br /><br /><strong> Telefone <br />");
-                                            details.append(data_[this.value].telephonenumber + "<br />");  
-                                        }
-                                    } 
-                                    else
-                                    {
-                                        var extra_fields = (data_['extra_ldap_fields']).split("#");   
-                                        /* Default fields */
-                                        details.append("<strong>" + utf8_decoder(data_[this.value].cn));
-                                        details.append("<br />" + data_[this.value].mail);
-                                        if(data_[this.value].telephonenumber != "")
-                                        {
-                                            details.append("<br /><br /><br /><strong> Telefone <br />");
-                                            details.append(data_[this.value].telephonenumber + "<br />");  
-                                        }
-                                        if(data_[this.value].mail[0].length > 1) 
-                                        {
-                                            for (var i=0; i<extra_fields.length-1; i++)
-                                            {
-                                                var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
-                                                var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                                if(data_[this.value][valor] != undefined)
-                                                {    
-                                                    details.append("<br /><br /><strong>" + campo);
-                                                    details.append("<br />" + data_[this.value][valor][0]);
-                                                }
-                                            }
-                                        }
-                                    }
-                            }
-						});
 					break;
 			}
-		});	
 	}
 			
@@ -229,46 +152,112 @@
 		* Método que cria a lista de contatos
 		*/
-		function create_list(data)
-		{
+	function create_list(data, begin, uiValue) {
+		var sliderValue = 1;
+		if(typeof($( "#slider" ).slider( "value" )) != "object")
+			sliderValue = $( "#slider" ).slider( "value" );
+		if(uiValue)
+			sliderValue = uiValue;
 					$("#detalhes_contato").empty();
-					var paginas = Math.ceil(data.length/7) - 1; 
+		var paginas = Math.ceil(data.length/6); 
 					$("#title_usuarios").html( get_lang("Results") );
-					var string_results = $( "#slider" ).slider( "value" ) + " " + get_lang("of") + " " + paginas + " (" + data.length + " " + get_lang("Results") + ")"; 
                         var selectable = $("#selectable");
 						selectable.empty();
                         var Ul = document.createElement("ul");
+		for (i=((sliderValue -1)*6)+1; i<(((sliderValue -1)*6)+1)+6; i++) {
                         var Op = document.createElement("li");
-						for (i=(($( "#slider" ).slider( "value" ) -1)*7)+1; i<((($( "#slider" ).slider( "value" ) -1)*7)+1)+7; i++) 
-                        {
-							if(i >= data.length)
+			if(i > data.length)
 								break;
 							if (data['type_catalog'] != 'G' && (data[i-1].mail == null || data[i-1].mail == ""))
                                 data[i-1].mail = "No mail"; 
-                            if(i == ((($( "#slider" ).slider( "value" ) -1)*7)+1)){
+				
+			if(i == (((sliderValue -1)*6)+1)) {
 								Op.setAttribute("class", "ui-selected");
+				Op.setAttribute("className", "ui-selected");
 							}
 							else {	
 								Op.setAttribute("class", "ui-selectee");
+				Op.setAttribute("className", "ui-selectee");
 							}
 							var contact_name = utf8_decoder(data[i-1].cn);
-							if(contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) != -1)									
+			if(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) != -1 && data.search_for.indexOf(" ") == -1 && data.search_for.indexOf("@") == -1)									
 								contact_name = contact_name.substring(0, contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) + "<u>" + contact_name.substr(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()), data.search_for.length) + "</u>" + contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) + data.search_for.length);
-							Op.innerHTML = '<span style="float:right; left:335px; position: absolute; z-index: 100; background-color: #EEE; padding:0"><button onClick="add_contact_field(contact_' + i + '.innerHTML)">+</button><button onClick="remove_contact_field(contact_' + i + '.innerHTML)">x</button></span><div id=contact_' + i + ' onDblClick="add_contact_field(this.innerHTML)"><div class="name_contact"><strong>' + contact_name + '</strong><em>' + utf8_decoder(data[i-1].mail) + '</em></div></div>';
+			Op.innerHTML = '<span class="menu-control"><button onClick="add_contact_field(document.getElementById(\'contact_' + i + '\').innerHTML)">+</button><button onClick="remove_contact_field(document.getElementById(\'contact_' + i + '\').innerHTML)">x</button></span><div id="contact_' + i + '" onDblClick="add_contact_field(this.innerHTML)"><div class="name_contact"><strong>' + contact_name + '</strong><em>' + utf8_decoder(data[i-1].mail) + '</em></div></div>';
                             $(Op).val(i - 1);
-                            Ul.appendChild(Op);
-                            selectable.append(Ul.innerHTML);
+            selectable.append(Op);
                         }
-                        $( "#amount" ).val( string_results );
-						$( "#amount" ).val( $( "#slider" ).slider( "value" ) + " " + get_lang("of") + " " + paginas + " (" + data.length + " " + get_lang("Results") + ")");   
-						document.getElementById("amount").focus();	
+		selectable.append(Ul);
+		var first_contact;
+		begin ? first_contact = 0 : first_contact = ((sliderValue* 6) -6);			
+		if(first_contact == 0) {
+			$(document).ready(function(){
+				$('#combobox option').each(function(){
+					if($(this).val() == preferences.catalog_search){
+						$(this).attr('selected',true);
+					}
+				});
+			});
+		}
+		var details = $("#detalhes_contato").empty();                                 
+		switch (data['type_catalog']) {
+			case 'G':
+				var extra_fields = (data['extra_ldap_fields']).split("#");   
+				if(preferences.default_fields_quick_search != 0) {  				
+					details.append('<p><label class="attribute">' + utf8_decoder(data[first_contact].cn[0]) + "</label>" + '<span class="value">' + data[first_contact].mail[0] + "</span></p>");
+					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber[0] + '</span></p>');
+				}
+				for (var i=0; i<=extra_fields.length-1; i++) {
+					var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
+					var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
+					if(data[0][valor.toLowerCase()] != undefined)
+					{
+						var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+						for(j=0; j<data[first_contact][valor.toLowerCase()].length; j++) {
+							details.append(tmp_campo + '<span class="value">' + data[first_contact][valor.toLowerCase()][j] + "</span></p>");
+							tmp_campo = "";
+						}
+					}
+				}			
+				break;
+			case 'P':
+				details.append('<p><label class="attribute">' + utf8_decoder(data[first_contact].cn) + '</label>' + '<span class="value">' + data[first_contact].mail + '</span></p>');
+                if(data[first_contact].telephonenumber != null)
+					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber  + '</span></p>');
+				break;
+			default:
+				var extra_fields = (data['extra_ldap_fields']).split("#");   
+				if(preferences.default_fields_quick_search != 0 || data[first_contact].type_contact == "P") {
+					details.append('<p><label class="attribute">' + utf8_decoder(data[first_contact].cn) + "</label>" + '<span class="value">' + data[first_contact].mail + "</span></p>");
+					if(data[first_contact].telephonenumber != null)
+						details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber + "</span></p>");
+				}
+				if(data[first_contact].mail != "No mail") {
+					if(data[first_contact].mail[0].length > 1) {
+						for (var i=0; i<=extra_fields.length-1; i++) {
+							var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
+							var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
+							if(data[first_contact][valor.toLowerCase()] != undefined) {
+								var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+								for(j=0; j<data[first_contact][valor.toLowerCase()].length; j++) {
+									details.append(tmp_campo + '<span class="value">' + data[first_contact][valor.toLowerCase()][j] + "</span></p>");
+									tmp_campo = "";
+								}	
+							}	
+						}
+					}
+				}
+				break;
+		}
+		var string_results = sliderValue + " " + get_lang("of") + " " + paginas + " (" + data.length + " " + get_lang("Results") + ")"; 		
+		$( "#amount-text" ).val( string_results );
+		$("button").button();
+		if(!is_ie)
+			document.getElementById("amount-text").focus();	
+		$("#selectable li:first button:first").focus();
+		removeFocus();
 		}	
 		
 		
-		
-		
-		
-		
-		function details_results(data) 
-        {
+	/* Método que configura os detalhes do resultado da busca */
+	function details_results(data) {
 				$(function() {
                     $( "#selectable" ).selectable({
@@ -276,64 +265,49 @@
 								var details = $("#detalhes_contato").empty();                                 
                                 $( ".ui-selected", this ).each(function() {
-                                    if(data['type_catalog'] == 'G')
-                                    {                                         
+                        switch(data['type_catalog']) {
+							case 'G':
                                         var extra_fields = (data['extra_ldap_fields']).split("#");   
-                                        /* Default fields */
-                                        details.append("<strong>" + utf8_decoder(data[this.value].cn[0]));
-                                        details.append("<br />" + data[this.value].mail[0]);
-                                        details.append("<br /><br /><strong>Matrícula<br />");
-                                        details.append(data[this.value].employeenumber[0] + "<br />");
-                                        details.append("<br /><strong> Telefone <br />");
-                                        details.append(data[this.value].telephonenumber[0] + "<br />");
-                                        details.append(data[this.value].telephonenumber[0]);
-                                        for (var i=0; i<extra_fields.length-1; i++)
-                                        {
+								if(preferences.default_fields_quick_search != 0) {	
+									details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn[0]) + "</label>" + '<span class="value">' + data[this.value].mail[0] + "</span></p>");
+									details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber[0] + "</span></p>");
+								}
+								for (var i=0; i<=extra_fields.length-1; i++) {
                                             var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
                                             var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                            if(data[this.value][valor] != undefined)
-                                            {    
-                                                details.append("<br /><br /><strong>" + campo);
-                                                details.append("<br />" + data[this.value][valor][0]);
+									if(data[this.value][valor.toLowerCase()] != undefined) {
+										var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+										for(j=0; j<data[this.value][valor.toLowerCase()].length; j++) {
+											details.append(tmp_campo + '<span class="value">' + data[this.value][valor.toLowerCase()][j] + "</span></p>");
+											tmp_campo = "";
                                             }
                                         }
                                     }
-                                    else
-                                    {
-                                        if(data['type_catalog'] == 'P')
-                                        {
-                                            /* Default fields */
-                                            details.append("<strong>" + utf8_decoder(data[this.value].cn));
-                                            details.append("<br />" + data[this.value].mail);
-                                            if(data[this.value].telephonenumber != "")
-                                            {
-                                                details.append("<br /><br /><br /><strong> Telefone <br />");
-                                                details.append(data[this.value].telephonenumber + "<br />");  
-                                            }
-                                        } 
-                                        else
-                                        {
+								break;
+							case 'P':
+								details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn) + "</label>" + '<span class="value">' + data[this.value].mail + "</span></p>");
+                                if(data[this.value].telephonenumber != null)
+                                    details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber + "</span></p>");
+								break;
+							default:
                                                 var extra_fields = (data['extra_ldap_fields']).split("#");   
-                                                /* Default fields */
-                                                details.append("<strong>" + utf8_decoder(data[this.value].cn));
-                                                details.append("<br />" + data[this.value].mail);
-                                                if(data[this.value].telephonenumber != "")
-                                                {
-                                                    details.append("<br /><br /><br /><strong> Telefone <br />");
-                                                    details.append(data[this.value].telephonenumber + "<br />");  
+                                if(preferences.default_fields_quick_search != 0 || data[this.value].type_contact == "P") {
+									details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn) + "</label>" + '<span class="value">' + data[this.value].mail + "</span></p>");
+									if(data[this.value].telephonenumber != null)
+										details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber + "</span></p>");
                                                 }
-                                                if(data[this.value].mail[0].length > 1) 
-                                                {
-                                                    for (var i=0; i<extra_fields.length-1; i++)
-                                                    {
+								if(data[this.value].mail[0].length > 1) {
+									for (var i=0; i<=extra_fields.length-1; i++) {
                                                         var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
                                                         var valor = extra_fields[i].substr(0, (extra_fields[i].indexOf("|")));                                          
-                                                        if(data[this.value][valor] != undefined)
-                                                        {    
-                                                            details.append("<br /><br /><strong>" + campo);
-                                                            details.append("<br />" + data[this.value][valor][0]);
+										if(data[this.value][valor.toLowerCase()] != undefined) {
+											var tmp_campo = '<p><label class="attribute">' + campo + "</label>" ;
+											for(j=0; j<data[this.value][valor.toLowerCase()].length; j++) {
+												details.append(tmp_campo + '<span class="value">' + data[this.value][valor.toLowerCase()][j] + "</span></p>");
+												tmp_campo = "";
                                                         }
                                                     }
                                                 }
                                         }
+								break;
                                     }
 								});
